# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/brcm,bcm7038-wdt.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: BCM63xx and BCM7038 watchdog timer

allOf:
  - $ref: watchdog.yaml#

maintainers:
  - Florian Fainelli <f.fainelli@gmail.com>
  - Justin Chen <justinpopo6@gmail.com>
  - Rafał Miłecki <rafal@milecki.pl>

properties:
  compatible:
    enum:
      - brcm,bcm6345-wdt
      - brcm,bcm7038-wdt

  reg:
    maxItems: 1

  clocks:
    maxItems: 1
    description: >
      The clock running the watchdog. If no clock is found the driver will
      default to 27000000 Hz.

unevaluatedProperties: false

required:
  - reg

examples:
  - |
    watchdog@f040a7e8 {
      compatible = "brcm,bcm7038-wdt";
      reg = <0xf040a7e8 0x16>;
      clocks = <&upg_fixed>;
    };
